Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class XSLProcessorContext

    java.lang.Object
      |
      +--org.apache.xalan.xslt.XSLProcessorContext

public class XSLProcessorContext
extends java.lang.Object

Captures processor context to be passed to an extension element.

Field Summary
`QName` | `mode`
`XSLTEngineImpl` | `processor`
`org.w3c.dom.Node` | `sourceNode`
`org.w3c.dom.Node` | `sourceTree`
`Stylesheet` | `stylesheetTree`

Constructor Summary
`XSLProcessorContext(XSLTEngineImpl processor, Stylesheet stylesheetTree, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode, QName mode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### processor

    public XSLTEngineImpl processor

### stylesheetTree

    public Stylesheet stylesheetTree

### sourceTree

    public org.w3c.dom.Node sourceTree

### sourceNode

    public org.w3c.dom.Node sourceNode

### mode

    public QName mode

Constructor Detail

### XSLProcessorContext

    public XSLProcessorContext(XSLTEngineImpl processor,
                               Stylesheet stylesheetTree,
                               org.w3c.dom.Node sourceTree,
                               org.w3c.dom.Node sourceNode,
                               QName mode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.